Webhooks
Webhooks are a way to receive notifications when certain events happen in your Spoke account. For more information about webhooks, see Webhook Events.
List webhooks
List all webhooks in your organisation.
This endpoint supports paging. By default the API will return 100 webhooks, configurable up to a maximum of 1000 webhooks at a time. If the result from a previous call includes a next value in the result set you can use the value returned as the next parameter in the query string to retrieve the next page of results.
query Parameters
Headers
AuthorizationAuthorization header bearing the access token
List webhooks › Responses
Webhooks
The list of webhooks. May be empty if no webhooks are found.
Create a webhook
Create a new webhook.
The total number of webhooks cannot exceed your account level limit. By default each account can create up to 10 webhooks. Please contact support with your specific use case to increase the limit.
Headers
AuthorizationAuthorization header bearing the access token
Create a webhook › Request Body optional
eventsThe list of events the webhook is subscribed to
Possible values include:
call.startedcall.answeredcall.not_answeredcall.hungupcall.endedcall.recording.availablecall.voicemail.availablecall.note.createdcall.highlight.createdcall.highlight.recording_availablecall.contact_assignedcall.contact_assigned_with_addcall.contact_assigned_with_updatecall.form.startedcall.form.submittedconversation.inactiveconversation.closedconversation.message.createduser.availability.updatedteam.availability.updatedtranscript.created
urlThe URL of the webhook. Must be a valid HTTPS URL
descriptionThe description of the webhook
enabledWhether the webhook is enabled. Default value is true
modeThe webhook mode. Default value is production
Create a webhook › Responses
Successfully created webhook
createdAtDate/Time (UTC - ISO8601 format) when the webhook was created
createdTimestampUnix timestamp when the webhook was created
enabledWhether the webhook is enabled. Default value is true
eventsThe list of events the webhook is subscribed to
Possible values include:
call.startedcall.answeredcall.not_answeredcall.hungupcall.endedcall.recording.availablecall.voicemail.availablecall.note.createdcall.highlight.createdcall.highlight.recording_availablecall.contact_assignedcall.contact_assigned_with_addcall.contact_assigned_with_updatecall.form.startedcall.form.submittedconversation.inactiveconversation.closedconversation.message.createduser.availability.updatedteam.availability.updatedtranscript.created
idID of the webhook
modeThe webhook mode. Default value is production
signingSecretSigning secret used to sign the webhook requests
urlThe URL of the webhook. Must be a valid HTTPS URL
descriptionThe description of the webhook
Get webhook
Retrieve the webhook.
path Parameters
idThe webhook ID
Headers
AuthorizationAuthorization header bearing the access token
Get webhook › Responses
Webhook
createdAtDate/Time (UTC - ISO8601 format) when the webhook was created
createdTimestampUnix timestamp when the webhook was created
enabledWhether the webhook is enabled. Default value is true
eventsThe list of events the webhook is subscribed to
Possible values include:
call.startedcall.answeredcall.not_answeredcall.hungupcall.endedcall.recording.availablecall.voicemail.availablecall.note.createdcall.highlight.createdcall.highlight.recording_availablecall.contact_assignedcall.contact_assigned_with_addcall.contact_assigned_with_updatecall.form.startedcall.form.submittedconversation.inactiveconversation.closedconversation.message.createduser.availability.updatedteam.availability.updatedtranscript.created
idID of the webhook
modeThe webhook mode. Default value is production
signingSecretSigning secret used to sign the webhook requests
urlThe URL of the webhook. Must be a valid HTTPS URL
descriptionThe description of the webhook
Update webhook
Update an existing webhook.
path Parameters
idThe webhook ID
Headers
AuthorizationAuthorization header bearing the access token
Update webhook › Request Body optional
descriptionThe description of the webhook
enabledWhether the webhook is enabled. Default value is true
eventsThe list of events the webhook is subscribed to
Possible values include:
call.startedcall.answeredcall.not_answeredcall.hungupcall.endedcall.recording.availablecall.voicemail.availablecall.note.createdcall.highlight.createdcall.highlight.recording_availablecall.contact_assignedcall.contact_assigned_with_addcall.contact_assigned_with_updatecall.form.startedcall.form.submittedconversation.inactiveconversation.closedconversation.message.createduser.availability.updatedteam.availability.updatedtranscript.created
modeThe webhook mode. Default value is production
urlThe URL of the webhook. Must be a valid HTTPS URL
Update webhook › Responses
Successfully updated webhook
createdAtDate/Time (UTC - ISO8601 format) when the webhook was created
createdTimestampUnix timestamp when the webhook was created
enabledWhether the webhook is enabled. Default value is true
eventsThe list of events the webhook is subscribed to
Possible values include:
call.startedcall.answeredcall.not_answeredcall.hungupcall.endedcall.recording.availablecall.voicemail.availablecall.note.createdcall.highlight.createdcall.highlight.recording_availablecall.contact_assignedcall.contact_assigned_with_addcall.contact_assigned_with_updatecall.form.startedcall.form.submittedconversation.inactiveconversation.closedconversation.message.createduser.availability.updatedteam.availability.updatedtranscript.created
idID of the webhook
modeThe webhook mode. Default value is production
signingSecretSigning secret used to sign the webhook requests
urlThe URL of the webhook. Must be a valid HTTPS URL
descriptionThe description of the webhook
Delete webhook
Delete the specified webhook.
path Parameters
idThe webhook ID
Headers
AuthorizationAuthorization header bearing the access token
Delete webhook › Responses
Successfully deleted the webhook